# pandas.SparseDtype

class `pandas.``SparseDtype`(dtype: Union[str, numpy.dtype, pandas.core.dtypes.base.ExtensionDtype] = <class 'numpy.float64'>, fill_value: Any = None)

  Dtype for data stored in `SparseArray`.

  This dtype implements the pandas ExtensionDtype interface.

  New in version 0.24.0.

  Parameters:

  dtype : str, ExtensionDtype, numpy.dtype, type, default numpy.float64

  > The dtype of the underlying array storing the non-fill value values.

  fill_value : scalar, optional

  > The scalar value not stored in the SparseArray. By default, this depends on dtype.

  > dtype | na_value
  > --- | ---
  > float | `np.nan`
  > int | `0`
  > bool | `False`
  > datetime64 | `pd.NaT`
  > timedelta64 | `pd.NaT`

  > The default value may be overridden by specifying a fill_value.

  Attributes

  None |

  Methods

  None |

Scroll To Top